#Module-Specific definitions
%define mod_version 2.0.6
%define release 1mdk
%define mod_name mod_authenticache
%define mod_conf 28_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.1
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	A generic credential caching module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	%{mod_name}-example_files.tar.bz2
License:	Apache License
URL:		http://original.killa.net/infosec/mod_authenticache/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
%{mod_name} provides a simple and generic method for caching
authentication information on the client side in order to enhance
performance. It has been tested with several Basic HTTP
authentication modules, and has an Apache 2.0.x optional function
exporter for caching credentials from any custom authentication module. 

%prep

%setup -q -n %{mod_name}-%{mod_version} -a2

# fix version string
perl -pi -e "s|^#define VERSION	.*|#define VERSION \"%{mod_version}\"|g" defines.h

%build
%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}

# make the example work... (ugly, but it works...)

NEW_URL=%{_docdir}/%{name}-%{version}/
perl -pi -e "s|_REPLACE_ME_|$NEW_URL|g" %{buildroot}%{ap_confd}/%{mod_conf}
perl -pi -e "s|_REPLACE_ME_|$NEW_URL|g" .htaccess

%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc .htaccess .htpasswd index.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_2.0.6-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.0.6-4mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.0.6-3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.0.6-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.0.6-1mdk
- initial cooker contrib
- added S2
